Bug 315155 - missing details in download failure error window
Summary: missing details in download failure error window
Status: RESOLVED FIXED
Alias: None
Product: muon
Classification: Unclassified
Component: qaptworker (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jonathan Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 19:10 UTC by Philip Muškovac
Modified: 2013-02-25 20:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 1.9.95


Attachments
screenshot (80.41 KB, image/png)
2013-02-14 19:11 UTC, Philip Muškovac
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Muškovac 2013-02-14 19:10:41 UTC
While refreshing the package cache I got an error message that not all packages could be downloaded. Trying to show the details... only changed the button, but the error details never show up.

Reproducible: Always

Steps to Reproduce:
1. run muon-updater
2. somehow get errors while refreshing the package cache
3. press the details button
Actual Results:  
The details button changes, but nothing else happens

Expected Results:  
The error details are shown

Kubuntu raring
muon 1.9.80-0ubuntu1
Comment 1 Philip Muškovac 2013-02-14 19:11:13 UTC
Created attachment 77305 [details]
screenshot
Comment 2 Jonathan Thomas 2013-02-25 20:21:38 UTC
Git commit ceabb3eaa794a501e34c40ed882909dabfc389ac by Jonathan Thomas.
Committed on 25/02/2013 at 21:19.
Pushed by jmthomas into branch 'master'.

Properly report errors that occur during ListUpdate that aren't reported when any particular item fails
FIXED-IN:1.9.95

M  +5    -0    src/worker/aptworker.cpp

http://commits.kde.org/libqapt/ceabb3eaa794a501e34c40ed882909dabfc389ac